class word
{
        final static int MODE_NORMAL = 0;
        final static int MODE_STRUCK = 1;
        final static int DIR_NONE = -1;
        final static int DIR_UP = 0;
        final static int DIR_UPRIGHT = 1;
        final static int DIR_RIGHT = 2;
        final static int DIR_DOWNRIGHT = 3;
        final static int DIR_DOWN = 4;
        final static int DIR_DOWNLEFT = 5;
        final static int DIR_LEFT = 6;
        final static int DIR_UPLEFT = 7;
        int mode;            //current active mode
        String txt;          //character string
        int dir;             //direction of the word..?

        //constructors
        public word()
        {
                mode = MODE_NORMAL;
                txt = "";
                dir = DIR_UP;
        }
        public word(String str, int di)
        {
                mode = MODE_NORMAL;
                txt = str;
                dir = di;
        }

        //finish this word
        public void strike()
        {
                mode = MODE_STRUCK;
        }

        //tells if this word is done..
        public boolean isStruck()
        {
                return (mode == MODE_STRUCK);
        }

        //which character is at this point in the word
        public char charAt(int a)
        {
                return txt.charAt(a);
        }

        //get the word length
        public int length()
        {
                return txt.length();
        }
}
